package com.company.testproject.entity;

import com.haulmont.chile.core.annotations.Composition;
import com.haulmont.cuba.core.entity.BaseUuidEntity;
import com.haulmont.cuba.core.entity.StandardEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import java.util.List;

@Table(name = "TESTPROJECT_CHECK_LIST")
@Entity(name = "testproject_CheckList")
public class CheckList extends BaseUuidEntity {
    @Column(name = "NAME")
    protected String name;

    @Composition
    @OneToMany(mappedBy = "checkList")
    protected List<Check> check;

    public List<Check> getCheck() {
        return check;
    }

    public void setCheck(List<Check> check) {
        this.check = check;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}