package com.company.testproject.entity;

import com.haulmont.cuba.core.entity.BaseUuidEntity;
import javax.persistence.*;
import java.util.List;

@Table(name = "TESTPROJECT_CHECK")
@Entity(name = "testproject_Check")
public class Check extends BaseUuidEntity {

    @OneToMany(mappedBy = "check")
    protected List<CheckField> checkField;

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "CHECK_LIST_ID")
    protected CheckList checkList;

    public void setCheckField(List<CheckField> checkField) {
        this.checkField = checkField;
    }

    public List<CheckField> getCheckField() {
        return checkField;
    }

    public CheckList getCheckList() {
        return checkList;
    }

    public void setCheckList(CheckList checkList) {
        this.checkList = checkList;
    }
}