package com.company.testproject.entity;

import com.haulmont.chile.core.annotations.NamePattern;
import com.haulmont.cuba.core.entity.BaseUuidEntity;

import javax.persistence.*;

@NamePattern("%s|name")
@Table(name = "TESTPROJECT_CHECK_FIELD")
@Entity(name = "testproject_CheckField")
public class CheckField extends BaseUuidEntity {
    private static final long serialVersionUID = 5515264802997385231L;

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "CHECK_ID")
    protected Check check;

    @Column(name = "NAME")
    protected String name;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Check getCheck() {
        return check;
    }

    public void setCheck(Check check) {
        this.check = check;
    }
}